
package com.tmerclub.cloud.user.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Document("user_balance_log")
public class MongoBalanceShopAccountDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id 0是平台")
    private Long shopId;

    @Schema(description = "店铺名称 平台是官方店")
    private String shopName;

    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "积分数目")
    private Long scoreCount;

    @Schema(description = "合计")
    private Long total;

    @Schema(description = "数据分析用户数量")
    private Integer count;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getWechatAmount() {
        return wechatAmount;
    }

    public void setWechatAmount(Long wechatAmount) {
        this.wechatAmount = wechatAmount;
    }

    public Long getAlipayAmount() {
        return alipayAmount;
    }

    public void setAlipayAmount(Long alipayAmount) {
        this.alipayAmount = alipayAmount;
    }

    public Long getBalanceAmount() {
        return balanceAmount;
    }

    public void setBalanceAmount(Long balanceAmount) {
        this.balanceAmount = balanceAmount;
    }

    public Long getScoreCount() {
        return scoreCount;
    }

    public void setScoreCount(Long scoreCount) {
        this.scoreCount = scoreCount;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "MongoBalanceShopAccountDetailVO{" +
                "shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", wechatAmount=" + wechatAmount +
                ", alipayAmount=" + alipayAmount +
                ", balanceAmount=" + balanceAmount +
                ", scoreCount=" + scoreCount +
                ", total=" + total +
                ", count=" + count +
                '}';
    }
}
